"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const command_1 = __importDefault(require("./command"));
const utils_1 = require("./utils");
const normalize_1 = __importDefault(require("./normalize"));
function file(filePath, initialOptions = {}) {
    const options = normalize_1.default(initialOptions);
    if (!path_1.default.isAbsolute(filePath)) {
        filePath = path_1.default.join(options.cwd, filePath);
    }
    const extention = path_1.default.extname(filePath);
    switch (extention) {
        case "":
        case ".sh":
            command_1.default(`sh ${filePath}`, options);
            break;
        case ".js":
            command_1.default(`node ${filePath}`, options);
            break;
        default:
            throw new utils_1.ErrorMessage(`extension ${extention} of file ${filePath} is not supported`);
    }
}
exports.default = file;
//# sourceMappingURL=file.js.map