"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const execa_1 = __importDefault(require("execa"));
const path_1 = __importDefault(require("path"));
const conEmu_1 = require("./conEmu");
const startWindows = (execFilePath, options) => {
    execa_1.default.sync("cmd.exe", ["/C", path_1.default.join(__dirname, "../../scripts/windows.bat")], {
        detached: true,
        stdio: "ignore",
        env: {
            FILE_PATH: execFilePath,
            CD: options.cd
        }
    });
};
exports.windows = (execFilePath, options) => {
    const isConEmu = !!process.env.ConEmuBuild;
    if (isConEmu) {
        try {
            return conEmu_1.conEmu(execFilePath, options);
        }
        catch (error) {
            return startWindows(execFilePath, options);
        }
    }
    startWindows(execFilePath, options);
};
//# sourceMappingURL=windows.js.map